umbrello: UMLFileDialog Class Reference

umbrello 2.32.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Attributes | List of all members
UMLFileDialog Class Reference

`#include <umlfiledialog.h>`

Inheritance diagram for UMLFileDialog:

## Public Member Functions
| UMLFileDialog (const KUrl &startDir, const QString &filter, QWidget *parent, QWidget *widget=0)
| ~UMLFileDialog ()
int | exec ()
void | setCaption (const QString &caption)
void | setOperationMode (KFileDialog::OperationMode mode)
void | setUrl (const KUrl &url, bool clearforward=true)
KUrl | selectedUrl ()
void | setSelection (const QString &name)
void | setMimeFilter (const QStringList &types, const QString &defaultType=QString())
QString | currentMimeFilter ()
| return the mime type of the selected file More...

## Protected Attributes
KFileDialog * | m_dialog

## Detailed Description

Wrapper class for KFileDialog supporting graphviz *.dot files.

This class is required because KFileDialog do not support mixing of mime type based filters with other filters.

Because the graphviz .dot extension do not have an official mimetype, we use a fake mime type named image/x-dot

## Constructor & Destructor Documentation

## ◆ UMLFileDialog()

UMLFileDialog::UMLFileDialog | ( | const KUrl & | startDir,
|  | const QString & | filter,
|  | QWidget * | parent,
|  | QWidget * | widget = `0`
| ) |  |

## ◆ ~UMLFileDialog()

UMLFileDialog::~UMLFileDialog | ( |  | ) |

## Member Function Documentation

## ◆ currentMimeFilter()

QString UMLFileDialog::currentMimeFilter | ( |  | ) |

return the mime type of the selected file

Returns
  mime type string

## ◆ exec()

int UMLFileDialog::exec | ( |  | ) |

## ◆ selectedUrl()

KUrl UMLFileDialog::selectedUrl | ( |  | ) |

## ◆ setCaption()

void UMLFileDialog::setCaption | ( | const QString & | caption | ) |

## ◆ setMimeFilter()

void UMLFileDialog::setMimeFilter | ( | const QStringList & | types,
|  | const QString & | defaultType = `QString()`
| ) |  |

## ◆ setOperationMode()

void UMLFileDialog::setOperationMode | ( | KFileDialog::OperationMode | mode | ) |

## ◆ setSelection()

void UMLFileDialog::setSelection | ( | const QString & | name | ) |

## ◆ setUrl()

void UMLFileDialog::setUrl | ( | const KUrl & | url,
|  | bool | clearforward = `true`
| ) |  |

## Member Data Documentation

## ◆ m_dialog

KFileDialog* UMLFileDialog::m_dialog
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlfiledialog.h
- umbrello/dialogs/umlfiledialog.cpp